Subject: Re: [Fwd: [SIP] Early version of draft on SIP for 911 services]

From: John Stanaway <[email-masked]>
Date: Mon, 17 Jul 2000 15:37:18 -0500

Henning Schulzrinne wrote:
> 
> John Stanaway wrote:
> >
> > Henning,
> > I had the opportunity to read your paper on providing emergency call services.
> > This is a good start on this topic.  I have some comments and questions.
> >
> > In the introduction you might want to add another bullet describing how a PSAP
> > is determined in today's enhanced 911 systems.  In those systems, the calling
> > number is used to select the appropriate PSAP since this number is tied to a
> > physical location.  The PSAP queries the ALI for location information (address)
> > as well as a list (phone numbers) of the varoius emergency agencies that serve
> > that address.  The PSAP agent can transfer the call to the appropriate agency.
> > It should be noted that the PSAP agent stays on the call until the agency has
> > answered. (Maybe a more in depth description on the existing emergency service
> > (at least in the U.S.) would be useful.)
> 
> I've added some material to the -01 version, but clearly more detail is
> helpful. Since I'm not trying to provide a complete tutorial, just
> enough to understand the requirements for an Internet service, I want to
> avoid duplicating the 68-page NENA tutorial. I'd appreciate if you could
> point out any additional details that readers unfamiliar with 911
> operation should know.
> 
I believe you could describe e911 operation in 2-3 pages.  I'm not sure if it's
appropriate for an international audience but could serve as an example since
much of the document uses terms and concepts from e911.  Bellcore SR4163 has a
short call flow description.

> >
> > In your last bullet in the introduction, you seem to be mixing up what can be
> > provided by basic 911 and enhanced 911.  Basic 911 doesn't provide address
> > infomation via an ALI database. In basic 911, the service is usually provided by
> > the same switch the caller is connected to and thus the switch has more control
> > over what the caller can do. In enhanced 911, since multiple switches may be
> > involved, it is possible for the caller to hang up and make another call. It's
> > difficult to prevent this.  Since the PSAP has the address and phone number they
> > can still provide emergency services.
> 
> I thought even the first switch would recognize that this is a 911 call
> and thus could prevent this; I've heard all kinds of statements on what
> can and cannot be done during a 911 call. I don't really want to do an
> experiment, so if you have a reference to (say) a Bellcore or FCC spec
> or some other document, that would be most helpful.
>
The first switch (end-office) knows enough to route the call to an E911 tandem
switch.  The e911 tandem switch determines how to do selective routing to a
PSAP. 

The following is extracted from Bellcore document "E911 Service Description",
SR4163.

"If the PSAP attendant gets disconnected from the caller, the PSAP attendant may
make an outgoing call using the information provided to construct the 10-digit
ANI for dialing.

It should be noted that certain features traditionally provided with Basic 9-1-1
service are not provided with E9-1-1 service; these features are emergency
ringback, end-to-end called-party hold, and switch-hook status display. Other
E9-1-1 features replace the intent of these features and make them unnecessary."

> >
> > In section 2.2.4 on using LDAP.  Due to the nature of the information, you
> > probably want to restrict access to it and protect it from attacks.  You address
> > some of this in section 7.
> 
> Added; note, however, that this mapping from address to iPSAP is
> probably not very sensitive information. I can guess where my fire
> department is...
> 
By sensitive I meant critical.  You don't want this data compromised. 

> >
> > Maybe I missed it but how do you propose providing emergency services to
> > existing PSTN phones where the PSTN switches do not provide the service?  Would
> > a PSTN gateway or call agent (proxy) map the calling number to a physical
> > location?  This would require something like one of the solutions you described
> > in section 3.  Maybe you could explicitly discuss this?
> >
> 
> Given that a call to a PSTN-to-VoIP gateway can come from anywhere, it
> would seem that either the gateway has to access the standard ALI
> database to find the PSAP or just forward the call back into the PSTN,
> hopefully somehow "faking" the original calling number. (Not sure that
> is possible.)
> 
By ALI database I assume you mean Selective Routing data.  Selective Routing
database contains a mapping of calling number to PSAP and may be separate from
the ALI.  In this case (PSTN to IP) I was assuming that the IP network was
playing the role of an E911 tandem and would handle the 911 call.

> > I believe section 4 may be difficult to implement uniformly across multiple
> > domains.
> 
> I don't think this is a domain issue. As long as the end system
> recognizes that the call in progress is a 911 call, it can do whatever
> is appropriate. This is different than dumb end systems which don't have
> a clue that the string "9-1-1" just dialed has any special significance.
> 
In the case of e911, end offices don't have a clue except to route the call to a
dedicated trunk to an e911 tandem office.  In this case if the IP network is
providing the e911 tandem functionality, you don't (may not) want to provide
better grade of service to the IP endpoints than to the PSTN endpoints (all 911
calls are equal).  This is why, today, features of basic 911 (handled on a
single switch) don't have to work in e911 which may involve multiple switches
(see extracted text above).

> Henning Schulzrinne   http://www.cs.columbia.edu/~hgs

-- 
John

John Stanaway
Lucent Technologies
263 Shuman Blvd.
Room 1A-437
Naperville, IL 60566
email: [email-masked]
phone: 630.713.4459
fax: 630.979.8998

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 17 Jul 2000 17:32:25 -0400

John Stanaway wrote:

> short call flow description.

I'm afraid I don't have access to Bellcore SRs (and can't afford the
typically $1k they seem to cost...).

> By sensitive I meant critical.  You don't want this data compromised.

Agreed; the -01 wording alludes to this now.

> (see extracted text above).

I'm not talking about "switches" here at all - in an all-IP network, the
end system (as in, Internet telephone, PC, PDA, mobile IP device, etc.)
knows or can know that this call is special and needs special handling,
e.g., in disabling certain features. This is also necessary if end
systems are to provide sensitive information that should only be
included in 911 calls.